voyageur    15/02/18 15:08:43

  Modified:             metadata.xml ChangeLog llvm-3.6.0_rc3.ebuild
  Log:
  go bindings do not integrate with autoconf build system, disable for now
  
  (Portage version: 2.2.17/cvs/Linux x86_64, signed Manifest commit with key 
C74525F2)

Revision  Changes    Path
1.14                 sys-devel/llvm/metadata.xml

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/metadata.xml?rev=1.14&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/metadata.xml?rev=1.14&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/metadata.xml?r1=1.13&r2=1.14

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/metadata.xml,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- metadata.xml        18 Feb 2015 13:26:00 -0000      1.13
+++ metadata.xml        18 Feb 2015 15:08:43 -0000      1.14
@@ -18,7 +18,6 @@
                <flag name='clang'>Build the clang C/C++ compiler</flag>
                <flag name='cmake'>Enable cmake support (experimental)</flag>
                <flag name='doc'>Build and install the HTML documentation and 
regenerate the man pages</flag>
-               <flag name='go'>Build the <pkg>dev-lang/go</pkg> bindings</flag>
                <flag name='gold'>Build the gold linker plugin</flag>
                <flag name='llvm-gcc'>Build LLVM with 
<pkg>sys-devel/llvm-gcc</pkg></flag>
                <flag name='multitarget'>Build all host targets (default: host 
only)</flag>



1.228                sys-devel/llvm/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.228&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?rev=1.228&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/ChangeLog?r1=1.227&r2=1.228

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v
retrieving revision 1.227
retrieving revision 1.228
diff -u -r1.227 -r1.228
--- ChangeLog   18 Feb 2015 13:26:00 -0000      1.227
+++ ChangeLog   18 Feb 2015 15:08:43 -0000      1.228
@@ -1,6 +1,10 @@
 # ChangeLog for sys-devel/llvm
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.227 2015/02/18 
13:26:00 voyageur Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/ChangeLog,v 1.228 2015/02/18 
15:08:43 voyageur Exp $
+
+  18 Feb 2015; Bernard Cafarelli <[email protected]> llvm-3.6.0_rc3.ebuild,
+  metadata.xml:
+  go bindings do not integrate with autoconf build system, disable for now
 
 *llvm-3.6.0_rc3 (18 Feb 2015)
 



1.2                  sys-devel/llvm/llvm-3.6.0_rc3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.6.0_rc3.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.6.0_rc3.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/llvm/llvm-3.6.0_rc3.ebuild?r1=1.1&r2=1.2

Index: llvm-3.6.0_rc3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.6.0_rc3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- llvm-3.6.0_rc3.ebuild       18 Feb 2015 13:26:00 -0000      1.1
+++ llvm-3.6.0_rc3.ebuild       18 Feb 2015 15:08:43 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.6.0_rc3.ebuild,v 1.1 
2015/02/18 13:26:00 voyageur Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/llvm/llvm-3.6.0_rc3.ebuild,v 1.2 
2015/02/18 15:08:43 voyageur Exp $
 
 EAPI=5
 
@@ -20,7 +20,7 @@
 LICENSE="UoI-NCSA"
 SLOT="0/3.5"
 KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd 
~x64-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos"
-IUSE="clang debug doc go gold libedit +libffi multitarget ncurses ocaml python
+IUSE="clang debug doc gold libedit +libffi multitarget ncurses ocaml python
        +static-analyzer test xml video_cards_radeon
        kernel_Darwin kernel_FreeBSD"
 
@@ -34,7 +34,6 @@
                )
                xml? ( dev-libs/libxml2:2= )
        )
-       go? ( >=dev-lang/go-1.2 )
        gold? ( >=sys-devel/binutils-2.22:*[cxx] )
        libedit? ( dev-libs/libedit:0=[${MULTILIB_USEDEP}] )
        libffi? ( >=virtual/libffi-3.0.13-r1:0=[${MULTILIB_USEDEP}] )
@@ -147,6 +146,7 @@
        epatch "${FILESDIR}"/${PN}-3.2-nodoctargz.patch
        epatch "${FILESDIR}"/${PN}-3.5-gcc-4.9.patch
        epatch "${FILESDIR}"/${PN}-3.6-gentoo-install.patch
+       epatch "${FILESDIR}"/${P/_rc*}-go_bindings.patch
        # Make ocaml warnings non-fatal, bug #537308
        sed -e "/RUN/s/-warn-error A//" -i test/Bindings/OCaml/*ml  || die
 
@@ -231,7 +231,6 @@
        if multilib_is_native_abi; then
                use gold && conf_flags+=( 
--with-binutils-include="${EPREFIX}"/usr/include/ )
                # extra commas don't hurt
-               use go && bindings+=',go'
                use ocaml && bindings+=',ocaml'
        fi
 
@@ -393,9 +392,9 @@
                        dohtml -r "${S}"/docs/_build/html/
                else
                        if ! use clang; then
-                               rm "${WORKDIR}"/${PN}-3.5.0-manpages/clang.1 || 
die
+                               rm "${WORKDIR}"/${P/_rc*}-manpages/clang.1 || 
die
                        fi
-                       doman "${WORKDIR}"/${PN}-3.5.0-manpages/*.1
+                       doman "${WORKDIR}"/${P/_rc*}-manpages/*.1
                fi
 
                # Symlink the gold plugin.




Reply via email to